Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class SubqueryExpression

    java.lang.Object
      org.hibernate.criterion.SubqueryExpression

All Implemented Interfaces:
  Serializable, Criterion

Direct Known Subclasses:
  ExistsSubqueryExpression, PropertySubqueryExpression, SimpleSubqueryExpression

    public abstract class SubqueryExpression

extends Object
implements Criterion

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`protected` | `SubqueryExpression(String op, String quantifier, DetachedCriteria dc)`

Method Summary
`TypedValue[]` | `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)` Return typed values for all parameters in the rendered SQL fragment
`protected Type[]` | `getTypes()`
`protected abstract String` | `toLeftSqlString(Criteria criteria, CriteriaQuery outerQuery)`
`String` | `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubqueryExpression

    protected SubqueryExpression(String op,
                                 String quantifier,
                                 DetachedCriteria dc)

Method Detail

### getTypes

    protected Type[] getTypes()

### toLeftSqlString

    protected abstract String toLeftSqlString(Criteria criteria,
                                              CriteriaQuery outerQuery)

### toSqlString

    public String toSqlString(Criteria criteria,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Criterion`
  Render the SQL fragment

  Specified by:
    `toSqlString` in interface `Criterion`
  Returns:
    String
  Throws:
    `HibernateException`

### getTypedValues

    public TypedValue[] getTypedValues(Criteria criteria,
                                       CriteriaQuery criteriaQuery)
                                throws HibernateException

  Description copied from interface: `Criterion`
  Return typed values for all parameters in the rendered SQL fragment

  Specified by:
    `getTypedValues` in interface `Criterion`
  Parameters:
    `criteria` - TODO
  Returns:
    TypedValue[]
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD